/* MakeCrouton.rexx V1.0 -- Make a crouton with 8 and 64 color IFF's.     */
/* By Bob Caron (Grue) 1995 NewTek Inc.                                  */

parse arg IconName

if IconName="" then do
  say "MakeCrouton V1.0 -- Syntax:"
  say "  RX MakeCrouton <IconName>"
  call quit()
  end

if ~exists("64Color/"||IconName) then do
  say "You need a directory called 64color with the 64 color version of"
  say "the icon in it."
  call quit()
  end

if ~exists("8Color/"||IconName) then do
  say "You need a directory called 8color with the 8 color version of"
  say "the icon in it."
  call quit()
  end

notname=iconname||".not"

cmd="runnot 64color/"||iconname||" 64color/"||notname
address command cmd
cmd="runnot 8color/"||iconname||" 8color/"||notname
address command cmd

if ~exists("64color/"notname) then do
  cmd="copy 64color/"||iconname||" 64color/"||notname
  address command cmd
  end

if ~exists("8color/"notname) then do
  cmd="copy 8color/"||iconname||" 8color/"||notname
  address command cmd
  end

cmd="addpus 64color/"||notname
address command cmd
cmd="addpus 8color/"||notname
address command cmd
cmd="copy 8color/"||notname||" "||iconname
address command cmd
cmd="join 8color/"||notname||" to "||iconname
address command cmd
cmd="delete 64color/"||notname
address command cmd
cmd="delete 8color/"||notname
address command cmd

if ~exists(iconname) then do
   say "Error making crouton."
   call quit()
   end

say "Crouton Made."

exit

quit:
exit